% Demo script whith examples of calc_scores.m

%example 1. Output supCK kernel matrix between pockets in plist_demo
%Parameters: sigma=1, only geometrical forms are compared ('No'), pocket atoms within 5.3A are considered, stop criterion: tol=1e-2, results are stored in  'demo_out'
res1=calc_scores('3D_kernel_nd','1','./demo_data/plist_demo','demo_out','./demo_data/const_kernel.txt','No','0','5.3','1','0','0','3.5','QN','0','1e-2','1');
%example 2. Output supCK kernel matrix between pockets in plist_demo
%Parameters: sigma=2.5, Gaussian kernel between atom partial charges is used (gamma=1.3), pocket atoms within 5.3A are considered, stop criterion: tol=1e-2, results are stored in 'demo_out'
res2=calc_scores('3D_kernel_nd','2.5','./demo_data/plist_demo','demo_out','./demo_data/const_kernel.txt','Chpart','0','5.3','1.3','0','0','3.5','QN','0','1e-2','1');
%example 3. Output supCK kernel matrix between ligands in plist_demo
%Parameters: sigma=1, only geometrical forms are compared ('No'), pocket atoms within 5.3A are considered, stop criterion: tol=1e-2, results are stored in 'demo_out'
res3=calc_scores('3D_kernel_nd','1','./demo_data/plist_demo','demo_out','./demo_data/const_kernel.txt','No','0','5.3','1','1','0','3.5','QN','0','1e-2','1');
