%Examples of running supCK algorithm on the Kahraman and HD datasets 

%Kahraman dataset (plist_kahraman)
%Parameters: sigma=1, only geometrical forms are compared ('No'), pocket atoms within 5.3A are considered, stop criterion: tol=1e-2, results are stored in  'supCK_Kahraman'
res1=calc_scores('3D_kernel_nd','1','plist_kahraman','./supCK_Kahraman/','./demo_data/const_kernel.txt','No','0','5.3','1','0','0','3.5','QN','0','1e-2','1');
%HD dataset (plist_hd)
%Parameters: sigma=1, only geometrical forms are compared ('No'), pocket atoms within 5.3A are considered, stop criterion: tol=1e-3, results are stored in  'supCK_Kahraman'
res2=calc_scores('3D_kernel_nd','1','plist_hd','./supCK_HD/','./demo_data/const_kernel.txt','No','0','5.3','1','0','0','3.5','QN','0','1e-3','2');
