%Compute the average AUC score of the supCK method on the Kahraman dataset
clear;
Gp_mean=[]; Gp_std=[]; 
D=[];ir=0;
%Data location
%Kahrman dataset
pn='plist_kahraman';supCK_results='./supCK_Kahraman/3D_kernel_nd_1_';ligl='./supCK_Kahraman/LigLst.txt';
%uncomment the next line to process data from the HD dataset
%pn='plist_hd';supCK_results='./supCK_HD/3D_kernel_nd_1_';ligl=['./supCK_HD/LigLst.txt'];

%load supCK scores
Np=100;
Dname=supCK_results;
for i=1:Np
   Dnamet=[Dname num2str(i)];
   Dt=load(Dnamet);
   D(i,:)=Dt;
end
D=D+D'-diag(diag(D));
%transform scores to distances
D=-D;D=-D./(repmat(sqrt(diag(D)),1,size(D,1)).*(repmat(sqrt(diag(D)),1,size(D,1))'));
D=D-eye(size(D))*max(max(abs(D)));%make sure that the minimum values are on the main diagonal
save('D_tmp','D','-ASCII');
%compute AUC
[Gp GpRC]=process_roc('D_tmp',ligl,pn,'M_tmp_roc.txt');
disp(sprintf('mean(AUC)=%f, std(AUC)=%f',mean(Gp),std(Gp)));


